• EnglishEspañol日本語한국어Português
  • ログイン今すぐ開始

この機械翻訳は参考用に提供されます。

英語版と翻訳版に矛盾がある場合は、英語版が優先されます。詳細については、このページ を参照してください。

問題を作成する

未解決のインポートをロールアップする

問題

バンドルにロールアップを使用するプロジェクトで BrowserAgent NPM パッケージを使用してプロジェクトをビルドすると、 UNRESOLVED_IMPORTエラーが発生します。

解決

node-resolveプラグインを使用するようにロールアップ設定を更新します。 すでにこのプラグインを使用している場合は、プラグインを最小バージョンの15.2.1に更新してください。

ステンシルプロジェクト

プロジェクトでステンシル フレームワークを使用している場合、 node-resolveプラグインのバージョンをオーバーライドすることはできません。 プロジェクトで以下にリストされている回避策を使用し、ステンシル github リポジトリでこの問題を監視してください。

代替の回避策

node-resolveプラグインを更新できない場合、またはオーバーライドできないプラグインをバンドルするフレームワークを使用している場合は、Browserエージェントのインポート ステートメントを変更する必要があります。

// Instead of importing the browser agent like this
import { MicroAgent } from "@newrelic/browser-agent/loaders/micro-agent";
// Import like this
import { MicroAgent } from "@newrelic/browser-agent/src/loaders/micro-agent";

srcディレクトリには ES2019+ コードが含まれています。 このコードにトランスパイルを適用できず、古いブラウザをサポートする必要がある場合は、Browserエージェント NPM パッケージをバージョン 1.252.0 にアップグレードし、以下のインポート ステートメントを使用します。

import { MicroAgent } from "@newrelic/browser-agent/dist/esm/loaders/micro-agent";

distディレクトリの内容は、ブラウザのサポートに関する声明に従います。

Copyright © 2024 New Relic株式会社。

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.